Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object System.CLSCompliant(false) MiniParser is a small XML parser. As of this writing, this class exists mostly as a base for SecurityParser. SecurityParser is used to create persistent keypairs for the cryptography libraries.
- Constructor
  Makes a new MiniParser object.
  None.
  1.0.5000.0
  2.0.0.0
- Field
  System.Int32 The current column number of data being handled. None. 1.0.5000.0 2.0.0.0
- Field
  System.String[] A list of the possible error strings that the MiniParser can use. None. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a , the description of the error. Generates a fatal error and stops the parsing. This error is usually an XMLError. 1.0.5000.0 2.0.0.0
- Field
  System.Int32 The current line number of data being handled. None. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` a a Parses the XML string using the "reader" and "handler" objects. The reader and handler objects don't have to be different; SecurityParser passes in the same object for both. 1.0.5000.0 2.0.0.0
- Method
  System.Void Resets the MiniParser to handle a new XML string. None. 1.0.5000.0 2.0.0.0
- Field
  System.Boolean An internal flag for whether/how to handle CDATA elements. Check this item. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` `` a a a a Compares the string in "str" to the string held by "sb" starting at character "sbStart" and extending for "len" characters. a None. 1.0.5000.0 2.0.0.0
- Field
  System.Int32[] An internal variable to hold the last 2 characters processed. None. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` a a A method only for internal use which takes the current input character and current parser state and determines what action to take. a None 1.0.5000.0 2.0.0.0